#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	python-py
Version		:	1.11.0
Release		:	14.4.0.0%{?dist}
Summary		:	Python attributes without boilerplate

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://www.attrs.org/
			#https://github.com/python-attrs/attrs/releases

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-setuptools_scm
BuildRequires	:	python-packaging
BuildRequires	:	python-wheel

Requires	:	%{__python}

Provides	:	%{sname}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
The py lib is a Python development support library featuring the
following tools and modules:
 
  * py.path: uniform local and svn path objects
  * py.apipkg: explicit API control and lazy-importing
  * py.iniconfig: easy parsing of .ini files
  * py.code: dynamic code generation and introspection
  * py.path: uniform local and svn path objects

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/*.pyi
%{python3_sitelib}/%{sname}/*.typed
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_code/*.py
%{python3_sitelib}/%{sname}/_code/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_io/*.py
%{python3_sitelib}/%{sname}/_io/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_log/*.py
%{python3_sitelib}/%{sname}/_log/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_path/*.py
%{python3_sitelib}/%{sname}/_path/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_process/*.py
%{python3_sitelib}/%{sname}/_process/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendored_packages/*.py
%{python3_sitelib}/%{sname}/_vendored_packages/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendored_packages/apipkg/__init__.py
%{python3_sitelib}/%{sname}/_vendored_packages/apipkg/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendored_packages/apipkg/version.py
%{python3_sitelib}/%{sname}/_vendored_packages/apipkg-*.dist-info/
%{python3_sitelib}/%{sname}/_vendored_packages/iniconfig/py.typed
%{python3_sitelib}/%{sname}/_vendored_packages/iniconfig/__init__.pyi
%{python3_sitelib}/%{sname}/_vendored_packages/iniconfig/*.py
%{python3_sitelib}/%{sname}/_vendored_packages/iniconfig/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_vendored_packages/iniconfig-*.dist-info/
%{python3_sitelib}/%{sname}-%{version}*egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

echo "Version: %{version}" > PKG-INFO

%{__python}						\
	./setup.py					\
	build						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}


%{__python}						\
	./setup.py					\
	install						\
	--skip-build					\
	--prefix=%{_prefix}				\
	--root=%{buildroot}				\


#-----------------------------------------------------------------------------
%changelog
